This game requires Unity Webplayer. Please click the button below and install Unity Webplayer.
If you installed webplayer but still see this error, make sure your browser is not Chrome, Edge or Firefox v52 or above. You can use Internet Explorer, Firefox ESR and Safari browsers.

Unity Web Player. Install now!

Striker Superstars is compatible with Firefox ESR,IE (not Edge), Safari.
From Firefox v52, Unity won't work in Firefox. You can install Firefox ESR and continue playing Unity games.